Name:		sdl-ball
Version:	1.01
Release: 	%mkrel 1
Summary:	Free/OpenSource brick-breaking game with pretty graphics
Group:		Games/Arcade
License:	GPLv2+
Url:		http://sdl-ball.sourceforge.net/
Source0:	http://dl.sourceforge.net/sourceforge/%name/%name-%version.tar.xz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: gcc-c++ GL-devel SDL-devel SDL_image-devel SDL_mixer-devel SDL_ttf-devel gimp-devel


%description
SDL-Ball is a Free/OpenSource brick-breaking game for Linux,BSD
and windows with pretty graphics. It is written in C++ using
SDL and OpenGL, here is the project page on sf.net.

Your mission: To smash your way through a series of progressively
harder and more tricky levels. Your tools: Ultrakinetic titanium
balls and your trusty Gruntmazter-3000-Paddle edition.

REQUIRES: Video card supporting 3D graphic drivers such as nvidia and fglrx.


%package leveleditor
Group: Games/Arcade
Summary: Two level editora for SDL-Ball

%description leveleditor
SDL-Ball is a Free/OpenSource brick-breaking game with pretty graphics.

This package includes two level editors for SDL-Ball, 
JavaScript-based (see %_defaultdocdir/%name-%version/index.html)
and GIMP plugin. Start gimp from a terminal in order to record
the output from the plugin (you need that)

%prep
%setup -q -n %name
# clean sources
rm -f *.o sdl-ball

%build
%make DATADIR=%_gamesdatadir/%name/
pushd leveleditor/gimp-leveleditor
gimptool-2.0 --build gimp-sdlball.c

%install
rm -rf %{buildroot}

mkdir -p %buildroot%_gamesdatadir %buildroot%_gamesbindir
mkdir -p %buildroot%_libdir/gimp/2.0/plug-ins
install -s %name %buildroot%_gamesbindir
install -s leveleditor/gimp-leveleditor/gimp-sdlball %buildroot%_libdir/gimp/2.0/plug-ins
cp -a themes %buildroot%_gamesdatadir/%name

mkdir -p %buildroot%_datadir/applications
cat << EOF > %buildroot%_datadir/applications/%name.desktop
[Desktop Entry]
Name=SDL-Ball
Exec=sdl-ball
Icon=sdl-ball
Terminal=false
Type=Application
Categories=Game;ArcadeGame;X-MandrivaLinux-MoreApplications-Games-Arcade
EOF

mkdir -p %buildroot%_iconsdir
cp themes/default/icon32.png %buildroot%_iconsdir/%name.png

%clean
rm -rf %{buildroot}

%files
%doc README changelog.txt leveleditor
%_gamesbindir/%name
%dir %_gamesdatadir/%name
%_gamesdatadir/%name/*
%_iconsdir/*.png
%_datadir/applications/%name.desktop

%files leveleditor
%doc leveleditor leveleditor/gimp-leveleditor/readme
%_libdir/gimp/2.0/plug-ins/*


%changelog
* Fri Jul 16 2010 Texstar <texstar at gmail.com> 1.01-1pclos2010
- import into pclos based on specfile from mdv

